package adapter_test

import (
	"testing"

	"gitea.dwysokinski.me/twhelp/corev3/internal/bun/buntest"
)

func TestVillageBunRepository_Postgres(t *testing.T) {
	t.Parallel()

	if testing.Short() {
		t.Skip("skipping long-running test")
	}

	testVillageRepository(t, func(t *testing.T) repositories {
		t.Helper()
		return newBunDBRepositories(t, postgres.NewDB(t))
	})
}

func TestVillageBunRepository_SQLite(t *testing.T) {
	t.Parallel()

	testVillageRepository(t, func(t *testing.T) repositories {
		t.Helper()
		return newBunDBRepositories(t, buntest.NewSQLiteDB(t))
	})
}
